### Method

# GcrUi KeyWidget set_attributes

#### Declaration [src]

    void
    gcr_key_widget_set_attributes (
      GcrKeyWidget* self,
      GckAttributes* attrs
    )

#### Description [src]

Get the attributes displayed in the widget. The attributes should represent either an RSA, DSA or EC key in PKCS#11 style.

Sets property | `GcrUi.KeyWidget:attributes`

#### Parameters

`attrs` | `GckAttributes`
| The attributes to display.
| The argument can be `NULL`.
| The data is owned by the caller of the function.